Bug 1119521 - decode fails with well formatted packet
Summary: decode fails with well formatted packet
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-DNS
Version: 22
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1118651
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 01:00 UTC by jared mauch
Modified: 2016-05-30 20:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-30 20:04:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 96439 None None None Never

Description jared mauch 2014-07-15 01:00:27 UTC
Description of problem:

This problem is captured via the upstream bug report here: https://rt.cpan.org/Public/Bug/Display.html?id=96439#txn-1375388

but is seen both in Fedora 20 and 21 (rawhide) at this time.


Version-Release number of selected component (if applicable): 0.78 is released with this fix.


How reproducible:

Happens always


Steps to Reproduce:
1. my $buf = pack "H*", "63270000000100000000000100000200010000291000000080000000"; 
2. my $packet = new Net::DNS::Packet(\$buf, 0); 
3. $packet->print;

Actual results:

Can't call method "decode" on an undefined value at /usr/lib64/perl5/vendor_perl/Net/DNS/Domain.pm line 283, <> line 3.

Expected results:

Function works properly and prints out decoded data per script

Additional info:

Would like to see 0.78 pushed to both fc20 + rawhide to pick up this fix

Comment 1 Nick Urbanik 2014-08-01 05:22:41 UTC
0.78 does not fix it.  Amavisd depends on Net::DNS, and my mail is broken as a result:

$ rpm -q perl-Net-DNS
perl-Net-DNS-0.78-1.fc20.x86_64
$ sudo systemctl restart amavisd
Job for amavisd.service failed. See 'systemctl status amavisd.service' and 'journalctl -xn' for details.
$ sudo systemctl status -l amavisd
...
Aug 01 15:19:27 hostname amavisd[1433]: ...propagated at /usr/share/perl5/base.pm line 84.
Aug 01 15:19:27 hostname amavisd[1433]: BEGIN failed--compilation aborted at /usr/lib64/perl5/vendor_perl/Net/DNS/Resolver/UNIX.pm line 18.
Aug 01 15:19:27 hostname amavisd[1433]: Compilation failed in require at /usr/lib64/perl5/vendor_perl/Net/DNS/Resolver.pm line 35.
Aug 01 15:19:27 hostname amavisd[1433]: BEGIN failed--compilation aborted at /usr/lib64/perl5/vendor_perl/Net/DNS/Resolver.pm line 38.
Aug 01 15:19:27 hostname amavisd[1433]: Compilation failed in require at (eval 96) line 52.
Aug 01 15:19:27 hostname amavisd[1433]: BEGIN failed--compilation aborted at (eval 96) line 52.
Aug 01 15:19:27 hostname amavisd[1433]: [FAILED]

Comment 2 Jaroslav Reznik 2015-03-03 16:07:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora Admin XMLRPC Client 2015-08-10 11:17:22 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Paul Wouters 2016-05-30 20:04:48 UTC
this seems to have been fixed already. Tested with the current release 1.05


Note You need to log in before you can comment on or make changes to this bug.